Subject: Re: bug#66211: 30.0.50; C-x v v in vc-diff does not work with lesser versionf of patch

From: Dmitry Gutov <[email-masked]>
Date: Fri, 29 Sep 2023 21:11:26 +0300

On 29/09/2023 20:40, Eli Zaretskii wrote:
>> Date: Fri, 29 Sep 2023 20:27:21 +0300
>> Cc: [email-masked], [email-masked]
>> From: Dmitry Gutov <[email-masked]>
>>
>> On 29/09/2023 18:22, Eli Zaretskii wrote:
>>>> vc-default-checkin-patch calls 'patch'. It's for other backends.
>>>
>>> Why do we call Patch if we have a way to apply hunks in Lisp?  Wasn't
>>> that just discussed in the other thread?
>>
>> https://lists.gnu.org/archive/html/emacs-devel/2022-10/msg01353.html
> 
> That doesn't have a lot in the way of answering my question above.

The discussion regarding that choice is inside the quotes' ladder in 
that message.

>> Anyway, it doesn't seem like 'patch' itself is the problem in this case:
> 
> When Patch is installed, sure.  But using our own code is better
> because it doesn't need Patch and doesn't have to rely on specific
> options it may or may not support.
> 
> I'm not insisting, mind you, just asking.  It sounds inconsistent with
> what we do in similar situations in other places, that's all.

My preference was to limit the number of points of unreliability. And/or 
minor differences (e.g. whether file removals are supported).

'diff-apply-buffer' has only been checked in, we can revisit this a 
little later, after more testing and stuff.